.avatar-container {
  position: relative;
  display: inline-block;
  background-color: transparent;

  &.avatar-xs {
    width: 2.143rem;
    height: 2.143rem;

    .substrate {
      top: 2px;
      bottom: 2px;
      left: 2px;
      right: 2px;
      border-width: 1px;
    }

    .avatar-image {
      top: 2px;
      bottom: 2px;
      left: 2px;
      right: 2px;
      border-width: 1px;
    }
  }

  &.avatar-sm {
    width: 3.214rem;
    height: 3.214rem;

    .substrate {
      top: 3px;
      bottom: 3px;
      left: 3px;
      right: 3px;
      border-width: 2px;
    }

    .avatar-image { 
      top: 3px;
      bottom: 3px;
      left: 3px;
      right: 3px;
      border-width: 2px;
    }
  }

  &.avatar-md {
    width: 5.357rem;
    height: 5.357rem;

    .substrate {
      top: 4px;
      bottom: 4px;
      left: 4px;
      right: 4px;
      border-width: 3px;
  }

    .avatar-image {
      top: 4px;
      bottom: 4px;
      left: 4px;
      right: 4px;
      border-width: 3px;
    }
  }
  &.avatar-md-up {
    width: 4.2857rem;
    height: 4.2857rem;

    .substrate {
      top: 4px;
      bottom: 4px;
      left: 4px;
      right: 4px;
      border-width: 3px;
    }

    .avatar-image {
      top: 4px;
      bottom: 4px;
      left: 4px;
      right: 4px;
      border-width: 3px;
    }
  }
  &.avatar-lg {
    width: 7.5rem;
    height: 7.5rem;

    .substrate {
      top: 5px;
      bottom: 5px;
      left: 5px;
      right: 5px;
      border-width: 4px;
    }

    .avatar-image { 
      top: 5px;
      bottom: 5px;
      left: 5px;
      right: 5px;
      border-width: 4px;
    }
  }

  &.avatar-outline .avatar-border {
    background-image: linear-gradient(to right, #2f53ff, #8c1aec);
  }

  &.avatar-outline .avatar-image {
    border-color: #fff;
  }

  &.border-white .avatar-border {
    background-image: none;
  }

  .avatar-border {
    position: absolute;
    top: 1px;
    bottom: 1px;
    left: 1px;
    right: 1px;
    background-color: transparent;
    border-radius: 50%;
  }

  .substrate {
    position: absolute;
    background: #fff;
    z-index: 0;
    border-color: transparent;
    border-radius: 50%;
  }

  .avatar-image {
    position: absolute;
    z-index: 1;
    background-position: center;
    background-size: 110%;
    background-repeat: no-repeat;
    border-style: solid;
    border-color: transparent;
    border-radius: 50%;
  }

  &.avatar-default {
    .avatar-image {
      background-size: 35%;
    }

    .avatar-border {
      background-color:#ccc;
    }
  }
}

.avatar-cursor-pointer {
  cursor: pointer;
}

.avatar-cursor-default {
  cursor: default;
}